using SqlSugar;
using System;

namespace Application.Domain.Entity
{
    [Tenant("Kg.SeaTime.Resource")]
    public class game_area
    {
        /// <summary>
        /// areaId
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public int areaId { get; set; }

        /// <summary>
        /// name
        /// </summary>
        [SugarColumn(Length = 255, IsNullable = true)]
        public string? name { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int? status { get; set; }

        /// <summary>
        /// 开放时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? opTime { get; set; }

        /// <summary>
        /// 添加时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? addTime { get; set; }
    }
}
